
import 'package:flutter/material.dart';
import 'package:xxstatistical/src/statistical.dart';
import 'entity/datareport_entity.dart';

///
/// 默认启动成功之后上报一次
/// 数据量达到50条之后再次上报
///
class XXStatistical {

  ///
  /// 初始化小熊数据上报
  /// APP启动上报/缓存日志数量/间隔时间  (暂时支持达到最大缓存日志数上传)
  /// [cachesMax]           设置缓存的最大数量，默认是50
  ///
  static Future<Null> init({int cachesMax = 50}) async{
    await Statistical.create().init(cachesMax:cachesMax);
  }

  ///
  /// 数据上报
  /// [id]      数据的自增id，如优惠券在数据库对应的id
  /// [event]   事件类型，1曝光事件  2点击事件
  /// [type]    数据类型，1信息流 2宣传口 3搜索结果 4优惠券 5活动配置
  /// [amount]  在app中定时周期内累计的上报数量，累计到了10，就是10次
  ///
  static void dataReport({@required DataReportEntity data}){
    Statistical.create().record(data:data);
  }
}